C API Functions

## udbEntityNameShort

### Description

Return the short name of the specified entity.

The short name does not include the compilation unit (Ada), member's class names (C++) or the full file path of filenames. Use udbEntityNameLong() to obtain the longname (also known as fullname) of an entity.

### Syntax

     #include "udb/udb.h"
     char  *udbEntityNameShort(UdbEntity entity)

### Arguments

Argument | description
UdbEntity entity | Specify the entity

### Return Values

Return values | description
char * | The short name of the entity. This is permanent, non-allocated.

### Example Usage

     printf ("Fullname: %s, Shortname: %s\n",
                 udbEntityNameLong(entity),
                 udbEntityNameShort(entity) );

### See Also

udbEntityNameLong to get the long name of an entity.

Scientific Toolworks, Inc. http://www.scitools.com Voice: (802) 763-2995 Fax: (802) 763-3066 support@scitools.com sales@scitools.com